import request from '@/utils/request'


// 获取关联主题列表详情
export function getThemeListDetail(id) {
  return request({
    url: '/backstage/project/getThemeListDetail/' + id,
    method: 'get',
  })
}

// 是否发布项目
export function changeReleaseStatus(id) {
  return request({
    url: '/backstage/project/changeReleaseStatus/' + id,
    method: 'put',
  })
}

// 获取主题列表(选择框)
export function getThemeList() {
  return request({
    url: '/backstage/project/getThemeList',
    method: 'get',
  })
}

// 查询项目列表
export function listProject(query) {
  return request({
    url: '/backstage/project/list',
    method: 'get',
    params: query
  })
}

// 查询项目详细
export function getProject(id) {
  return request({
    url: '/backstage/project/' + id,
    method: 'get'
  })
}

// 新增项目
export function addProject(data) {
  return request({
    url: '/backstage/project',
    method: 'post',
    data: data
  })
}

// 修改项目
export function updateProject(data) {
  return request({
    url: '/backstage/project',
    method: 'put',
    data: data
  })
}

// 删除项目
export function delProject(id) {
  return request({
    url: '/backstage/project/' + id,
    method: 'delete'
  })
}

// 导出项目
export function exportProject(query) {
  return request({
    url: '/backstage/project/export',
    method: 'get',
    params: query
  })
}
